function [VO] = mpfa_crsp(n, Lb, Ub)
% Initial positions of the n fireflies of a subpopulation
% _________________________________________________________________________

    d = length(Lb);
    VO = zeros(n, d);
    for i = 1 : n
        VO(i,:) = Lb + (Ub-Lb) .* rand(1,d);
    end
end
