function [Fit_fun, Cost, Phi, Rot, G, Cos_phi] = ...
             mpfa_fun(fhandle, n, VO, n_fiber, Data)
% Calculation of the objective function for each individual
%
% Functions:
%     fhandle.m
% _________________________________________________________________________

    Fit_fun = ones(n,1);
    Cost    = ones(n,1);
    Phi     = ones(n,1);
    Rot     = ones(n,1);
    G       = ones(n,14);
    Cos_phi = ones(n,1);

    for i = 1 : n
        [Fit_fun(i,1), Cost(i,1), Phi(i,1), Rot(i,1), G(i,:), ...
         Cos_phi(i,1)] = fhandle(VO(i,:), n_fiber, Data);
    end

end
